Bug 1098806 - [abrt] couchdb: __pthread_mutex_lock(): couchjs killed by SIGSEGV
Summary: [abrt] couchdb: __pthread_mutex_lock(): couchjs killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: couchdb
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Lemenkov
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:3d5481d7d879bded78df19e7829...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-18 19:48 UTC by Andrew Aylett
Modified: 2015-06-29 20:41 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 20:41:50 UTC


Attachments (Terms of Use)
File: backtrace (18.52 KB, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: cgroup (158 bytes, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: core_backtrace (2.75 KB, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: dso_list (3.16 KB, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: environ (298 bytes, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: exploitable (82 bytes, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: limits (1.29 KB, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: maps (15.89 KB, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: open_fds (107 bytes, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: proc_pid_status (927 bytes, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details
File: var_log_messages (30.35 KB, text/plain)
2014-05-18 19:49 UTC, Andrew Aylett
no flags Details

Description Andrew Aylett 2014-05-18 19:48:58 UTC
Description of problem:
Running the built-in installation verification, after adding an SELinux rule to work around #1098802.

After the crash, one of the Erlang processes seemed to get stuck in a restart loop.

Version-Release number of selected component:
couchdb-1.5.0-1.fc20

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/couchjs /usr/share/couchdb/server/main.js
crash_function: __pthread_mutex_lock
executable:     /usr/lib64/erlang/lib/couch-1.5.0/priv/couchjs
kernel:         3.14.3-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            984

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 __pthread_mutex_lock at ../nptl/pthread_mutex_lock.c:66
 #1 PR_Lock at ../../../nspr/pr/src/pthreads/ptsynch.c:177
 #2 AutoLockGC at jscntxt.h:2601
 #3 finish at jsgc.cpp:2048
 #4 js_FinishGC at jsgc.cpp:869
 #5 JSRuntime::~JSRuntime at jsapi.cpp:696
 #6 JS_Finish at jsapi.cpp:763
 #7 JS_Init at jsapi.cpp:753

Comment 1 Andrew Aylett 2014-05-18 19:49:03 UTC
Created attachment 896844 [details]
File: backtrace

Comment 2 Andrew Aylett 2014-05-18 19:49:05 UTC
Created attachment 896845 [details]
File: cgroup

Comment 3 Andrew Aylett 2014-05-18 19:49:07 UTC
Created attachment 896846 [details]
File: core_backtrace

Comment 4 Andrew Aylett 2014-05-18 19:49:09 UTC
Created attachment 896847 [details]
File: dso_list

Comment 5 Andrew Aylett 2014-05-18 19:49:11 UTC
Created attachment 896848 [details]
File: environ

Comment 6 Andrew Aylett 2014-05-18 19:49:13 UTC
Created attachment 896849 [details]
File: exploitable

Comment 7 Andrew Aylett 2014-05-18 19:49:15 UTC
Created attachment 896850 [details]
File: limits

Comment 8 Andrew Aylett 2014-05-18 19:49:17 UTC
Created attachment 896851 [details]
File: maps

Comment 9 Andrew Aylett 2014-05-18 19:49:19 UTC
Created attachment 896852 [details]
File: open_fds

Comment 10 Andrew Aylett 2014-05-18 19:49:21 UTC
Created attachment 896853 [details]
File: proc_pid_status

Comment 11 Andrew Aylett 2014-05-18 19:49:24 UTC
Created attachment 896854 [details]
File: var_log_messages

Comment 12 Fedora End Of Life 2015-05-29 11:53:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Fedora End Of Life 2015-06-29 20:41:50 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.